[meta-rockchip][PATCH] wic: add e2fsprogs dependency


Trevor Woerner
 

Started seeing the following error in my builds:

ERROR: A native program mkfs.ext4 required to build the image was not found
Please make sure wic-tools have e2fsprogs-native in its DEPENDS

Signed-off-by: Trevor Woerner <twoerner@...>
---
conf/machine/include/rockchip-wic.inc | 1 +
1 file changed, 1 insertion(+)

diff --git a/conf/machine/include/rockchip-wic.inc b/conf/machine/include/rockchip-wic.inc
index 30b0d57..6fa5367 100644
--- a/conf/machine/include/rockchip-wic.inc
+++ b/conf/machine/include/rockchip-wic.inc
@@ -7,6 +7,7 @@ WKS_FILE = "rockchip.wks"
WKS_FILE_DEPENDS ?= " \
mtools-native \
dosfstools-native \
+ e2fsprogs-native \
virtual/bootloader \
virtual/kernel \
"
--
2.34.1.75.gabe6bb3905

Join yocto@lists.yoctoproject.org to automatically receive all group messages.